Subject: Bug#3210: loadkeys infelicities

From: [email-masked] (Giuliano Procida)
Date: Tue, 4 Jun 1996 16:29:54 +0100 (BST)

Package: kbd
Version: 0.91-1

Hi.

I'm not sure what's going on, but there may be a bug in here
somewhere. I installed using dselect.

Linux version 1.3.100 (root@nomis) (gcc version 2.7.2)
kbdconfig v1.0  -  Copyright (C)1996  Dominik Kubla
loadkeys version 0.89

1) loadkeys is too powerful

luser1 on a virtual terminal who runs loadkeys will screw up all
settings on all vts for all users who come later

simple solution:

      chmod u-a loadkeys and move it to /usr/sbin (/sbin ?)

2) kbdconfig doesn't (configure)

Whatever I try doing in reply to kbdconfig's questions and even if I
delete the config file first I always get this /etc/kbd/configure:

CONSOLE=
TERM=
KEYMAP=NONE
SOFTFONT=NONE

The questions mention [NONE] as defaults. Typing in anything _always_
gives NONE, accepting the default always works. I'm not sure why the
first two lines are blank.

3) loadkeys uk.map is weird

After it pressing the pound sign (shift-3 on this kbd) generates no
character, just a 'beep'. However, ctrl-v shift-3 reveals the code
generated to be \243.

This might be due to a display problem rather than a kbd map problem,
i.e., my problem.

4) location of config file seems unusual

How about /etc/kbd.conf instead of /etc/kbd/config?

5) install messages vanish

The Debian install script says some blurb much of which is lost when
the script runs kbdconfig for the first time. I know it can be found
in /var/lib/dpkg/info/kbd.postinst, but others might not.

6) kbd.postinst says 'date' instead of 'data'

Yours,
Giuliano Procida.